gnutls_auth_server_get_type(3)

NAME
gnutls_auth_server_get_type - Returns the type of credentials for the server authentication schema.

SYNOPSIS
#include <gnutls/gnutls.h>

gnutls_credentials_type_t gnutls_auth_server_get_type(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

DESCRIPTION
Returns the type of credentials that were used for server authentication. The returned information is to be used to distinguish the function used to access authentication data.

RETURNS
The type of credentials for the server authentication schema, an gnutls_credentials_type_t type.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.